Bug 235923 - x11-wm/libdockapp: Update to 0.7.2
Summary: x11-wm/libdockapp: Update to 0.7.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/d-torrance/dockapp...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-21 21:01 UTC by Kai Knoblich
Modified: 2019-03-14 20:55 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (xride)


Attachments
Update libdockapp to 0.7.2 and bump/patch dependent ports (7.08 KB, patch)
2019-02-21 21:01 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2019-02-21 21:01:45 UTC
Created attachment 202239 [details]
Update libdockapp to 0.7.2 and bump/patch dependent ports

Hello,

attached is the patch that does following actions:

- Update x11-wm/libdockapp to 0.7.2
- Patch net/wmnetload and bump PORTREVISION
- Patch x11/xscreensaver.app and bump PORTREVISION

This patch is required to "upgrade" astro/wmsun to 1.05 and bring it back to upstream's official repository. The current version in the ports tree is an unofficial fork where upstream has gone now.

Changes by upstream:
- https://github.com/d-torrance/dockapps/blob/master/libdockapp/ChangeLog

Changes to the port:
- Change MASTER_SITES to upstream's location
- Add LICENSE and LICENSE_FILE
- Sort variables a bit according to the PHB
- Simplify pkg-plist substitution

QA:
~~~
- poudriere (11.2-, 12.0-RELEASE, 13.0-CURRENT@r344112 amd64 + i386) -> OK
- portlint -> OK
Comment 1 Kai Knoblich freebsd_committer 2019-03-08 14:29:48 UTC
Taking over due maintainer timeout
Comment 2 commit-hook freebsd_committer 2019-03-14 20:54:13 UTC
A commit references this bug:

Author: kai
Date: Thu Mar 14 20:53:33 UTC 2019
New revision: 495736
URL: https://svnweb.freebsd.org/changeset/ports/495736

Log:
  x11-wm/libdockapp: Update to 0.7.2

  While I'm here:

  * Change MASTER_SITES to upstream's new location
  * Add license and path to the license file
  * Sort variables a bit according to the PHB
  * Simplify pkg-plist substitution for the installation of example files

  Add some patches as well as just bumping the port revision for the following
  ports due changed location of the header files:

  * net/wmnetload
  * x11/xscreensaver.app

  Changelog:

  https://github.com/d-torrance/dockapps/blob/master/libdockapp/ChangeLog

  PR:		235923
  Approved by:	miwi (mentor), maintainer timeout
  Differential Revision:	https://reviews.freebsd.org/D19508

Changes:
  head/net/wmnetload/Makefile
  head/net/wmnetload/files/
  head/net/wmnetload/files/patch-configure
  head/net/wmnetload/files/patch-src_wmnetload.c
  head/x11/xscreensaver.app/Makefile
  head/x11/xscreensaver.app/files/
  head/x11/xscreensaver.app/files/patch-xscreensaver.app.c
  head/x11-wm/libdockapp/Makefile
  head/x11-wm/libdockapp/distinfo
  head/x11-wm/libdockapp/pkg-plist